page-stask {
	
	.scroll-content {
		padding: 0px 0px 0px 0px !important;
	}

	.wrap-all {
		
		transition: .5s;
	}

	.hide-page {
		background-color: rgba(0,0,0,0);
		opacity: 0;
		transition: 1s;
	}

	.show-page {
		background-color: rgba(0,0,0,0.5);
		opacity: 1;
		transition: .5s;
	}

	.close-btn-container {
		margin-top: 15px;
		margin-left: 8px;

		.close-btn {
			height: 35px;
			width: 121px;
			background-color: transparent;
			background-image: url('../assets/icon/closeicon.png');
			background-position: center;
			background-repeat: no-repeat;
			background-size: contain;
		}
	}

	.all-content-container {
		background-color: #ddd;
		margin-left: auto;
		margin-right: auto;
		margin-top: 7px;
		width: 356.764px;
		height: auto;
		border-radius: 11px;
		box-shadow: 2px 2px 6px #333;
		border: 1px solid rgba(0,0,0,0.8);
		padding-top: 0px;
		padding-bottom: 14px;
		transition: .5s;
		margin-bottom: 50px;
	}

	.task-header-container {
		background-color: #202122;
		border-radius: 10px 10px 0px 0px;
		padding-top: 1px;
		color: #fff;

		.task-name {
			font-family: 'Super Mario';
			font-size: 21px;
			margin-left: 16px;
			margin-top: 11px;
		}

		.more-option-container {
			text-align: right;
			margin-top: -43.64px;

			.more-option {
				height: 20px;
				width: 28px;
				background-image: url('../assets/icon/moreicon.png');
				background-repeat: no-repeat;
				background-color: transparent;
				background-position: center;
				background-size: contain;
				margin-right: 16px;
			}
		}

		.task-section-title {
			padding-left: 16px;
			font-size: 16px;
			margin-top: 9.64px;
			padding-bottom: 11.64px;
			color: #ccc;

			.task-section {
				font-family: 'Candara';
				font-weight: bold;
				color: #fff;
				font-size: 18px;
			}
		}
	}

	.task-content-container {
		margin-top: -16px;
		background-color: transparent;

		.prio-n-assigned-container {
			height: 60px;
			border-bottom: 1px solid #ccc;
			background-color: #fff;

			.assignedmem-container {
				float: right;
				height: 60px;
				width: 50%;
				position: relative;
				background-image: url('../assets/icon/assignedmemicon.png');
				background-repeat: no-repeat;
				background-size: 26%;
				background-position: 5% 45%;
				text-align: center;
				border-left: 1px solid #ccc;


				.assigned-title {
					font-family: 'Javanese';
					line-height: 16px;
					width: 80px;
					position: relative;
					font-size: 14px;
					left: 49px;
					top: -5.5px;
				}

				.assigned-total {
					font-family: 'Candara';
					font-weight: bold;
					font-size: 30px;
					position: relative;
					width: 50px;
					top: -80px;
					left: 123px;
				}

				.assigned-placeholder {
					position: relative;
					top: 3px;
					font-weight: bold;
					font-size: 18px;
					left: 20px;
					color: rgba(146,148,140,0.75);
				}
			}

			.priority-container {
				float: left;
				height: 60px;
				width: 50%;
				background-image: url('../assets/icon/priorityicon.png');
				background-repeat: no-repeat;
				background-size: 21%;
				background-position: 6% 50%;
				text-align: center;

				.priority-title {
					font-family: 'Javanese';
					line-height: 20px;
					font-size: 15.5px;
					position: relative;
					top: 7px;
					left: -3px;
				}

				.priority-color {
					height: 25px;
					width: 25px;
					border-radius: 8px;
					box-shadow: 1px 1px 6px rgba(0,0,0,0.5);
					position: relative;
					float: right;
					top: -45px;
					left: -21.5px;
				}

				.priority-level {
					font-family: 'Candara';
					font-weight: bold;
					font-size: 15px;
					position: relative;
					top: -17px;
					left: 68px;
				}

				.priority-placeholder {
					position: relative;
					font-weight: bold;
					top: 3px;
					left: 10px;
					font-size: 18px;
					color: rgba(146,148,140,0.75);
				}

				.red {
					background-color: #ff0000
				}

				.orange {
					background-color: #FFA500;
				}

				.green {
					background-color: #41A62A;
				}

				.grey {
					background-color: #72777C;
				}
			}
		}

		.due-date-container {
			padding-top: 7px;
			padding-bottom: 5px;
			height: 42px;
			margin-top: 0px;
			background-color: #fff;
			box-shadow: 0px 1px 6px rgba(0,0,0,0.3);

			.due-icon {
				height: 34px;
				width: 34px;
				background-image: url('../assets/icon/duedateicon.png');
				background-repeat: no-repeat;
				background-size: contain;
				background-position: center;
				margin-top: -2.5px;
				margin-left: 12px;
			}

			.due-date {

				position: relative;
				top: -42.5px;
				left: 61px;
				font-family: 'Javanese';
				font-size: 16px;
				line-height: 20px;

				.due-date-value {
					font-weight: bold;
					font-family: 'Candara';
					font-size: 17.5px;
				}
			}

			.due-date-placeholder {
				position: relative;
				font-weight: bold;
				top: -45px;
				left: 64px;
				font-size: 16px;
				color: rgba(146,148,140,0.75);
			}

			.clear-dd-btn {
				height: 33px;
				width: 56px;
				background-color: transparent;
				background-image: url('../assets/icon/duedateclearicon1.png');
				background-repeat: no-repeat;
				background-size: contain;
				background-position: center;
				float: right;
				position: relative;
				right: 2px;
				top: -89px;
			}
		}

		.sub-task-container {
			margin-top: 6px;
			box-shadow: 0px 2px 6px rgba(0,0,0,0.2);

			.sub-task-header-container {
				height: 43px;
				//box-shadow: 0px 2px 6px rgba(0,0,0,0.2);
				background-color: #fff;

				.sub-task-icon {
					height: 33px;
					width: 33px;
					margin-left: 10.5px;
					background-image: url('../assets/icon/subtaskicon.png');
					background-repeat: no-repeat;
					background-size: contain;
					background-position: center;
					position: relative;
					top: 4.5px;
				}

				.sub-task-title {
					color: #333;
					font-family: 'Super Mario';
					font-size: 23px;
					margin-top: -11.5px;
					line-height: 0px;
					position: relative;
					left: 60px;
				}

				.expand-collapse-btn {
					height: 33px;
					width: 33px;
					background-color: #fff;
					background-image: url('../assets/icon/expandcollapseicon.png');
					background-repeat: no-repeat;
					background-size: contain;
					background-position: center;
					float: right;
					position: relative;
					top: -41px;
					left: 43px;
				}

				.expand-collapse-btn-na {
					height: 33px;
					width: 33px;
					background-color: #fff;
					background-image: url('../assets/icon/expandcollapseicon.png');
					background-repeat: no-repeat;
					background-size: contain;
					background-position: center;
					float: right;
					position: relative;
					top: -40px;
					right: 10px;
				}

				.expand {
					transition: .3s;
					transform: rotate(-180deg);
				}

				.collapse {
					transition: .3s;
					transform: rotate(0deg);
				}
			}

			.sub-task-content-container {
				background-color: #fff;
				margin-top: 1px;

				.no-subtask-container {
					text-align: center;
					padding: 6.4px 40px;
					background-color: #FBF6CFFF;

					.no-subtask {
						font-family: 'Super Mario';
						color: #777;
						font-size: 16px;
					}
				}

				.sub-task-list {
					transition: .3s;

					.sub-task-item:last-child {
						border-bottom: 0.55px solid transparent;
					}

					.sub-task-item:first-child {

						.sub-task-label-container {
							left: 1px;
							height: 44px;
							top: -1px;

							.sub-task-label {
								position: relative;
								top: -25px;
							}
						}

						.na {
							top: 10px;
						}

						.remove-sub-task-btn {
							top: -38px;
						}
					}

					.sub-task-item {
						position: relative;
						border-bottom: 0.55px solid #c8c7cc;
						border-top: 1px solid transparent;
						height: 44px;
						margin-left: 56px;

						.sub-task-checkbox {
							float: left;
							position: relative;
							top: 10px;
							left: -38px;
						}

						.checkbox-disabled {
							opacity: 1 !important;
						}

						.item-checkbox-disabled ion-label {
							opacity: 1 !important;
						}
						
						.sub-task-label-container {
							position: relative;
							left: -20px;
							top: -12.5px;
							
							.sub-task-label {
								font-size: 17px;
								width: 246px;
								height: 30px;
								white-space: nowrap;
								text-overflow: ellipsis;
								overflow: hidden;
								font-family: 'Candara';
								font-weight: bold;
								font-size: 20px;
							}
						}

						.remove-sub-task-btn {
							height: 30px;
							width: 30px;
							left: 260px;
							top: -65px;
							position: relative;
							background-color: transparent;
							background-image: url('../assets/icon/trashicon1.png');
							background-repeat: no-repeat;
							background-size: contain;
							background-position: center;
						}
					}
				}

				.sub-task-input-container {
					background-color: #ffc13a;
					box-shadow: 0px -2px 6px rgba(0,0,0,0.2);
					padding: 5px 48px 3px 8px;
					height: 44px;

					.sub-task-input {
						background-color: #fff;
						border-radius: 50px;
						border: 1px solid #000;
						position: relative;
						top: -1px;

						input {
							margin-top: 0px;
							margin-bottom: 7px;
							padding-top: 9px;
							padding-left: 15px;
							padding-right: 15px;
							font-family: 'Candara';
							font-size: 17px;
							font-weight: bold;
							height: 26px;
						}
					}

					.admin {
						height: 35.5px;

						input {
							margin: 0;
							position: relative;
							top: -30px;
						}
					}

					.add-sub-task-btn {
						height: 36px;
						width: 36px;
						float: right;
						position: relative;
						top: -36px;
						left: 42px;
						background-color: transparent;
						background-image: url('../assets/icon/addicon.png');
						background-repeat: no-repeat;
						background-size: contain;
						background-position: center;
					}
				}
			}

			.expanded {
				height: auto;
				visibility: visible;
				opacity: 1;
				transition: .3s;
			}

			.collapsed {
				height: 0px;
				visibility: hidden;
				opacity: 0;
				transition: .3s;
			}
		}
	}

	.poll-container {
		margin-top: 7px;
		box-shadow: 0px 2px 6px rgba(0,0,0,0.2);

		.poll-header-container {
			height: 43px;
			background-color: #fff;

			.poll-icon {
				height: 35px;
				width: 35px;
				background-color: transparent;
				background-image: url('../assets/icon/pollicon.png');
				background-size: contain;
				background-position: center;
				background-repeat: no-repeat;
				position: relative;
				top: 3px;
				left: 11px;
			}

			.poll-title {
				color: #333;
				font-family: 'Super Mario';
				font-size: 23px;
				margin-top: -25px;
				position: relative;
				left: 61px;
			}

			.add-icon {
				height: 30px;
				width: 30px;
				background-color: transparent;
				background-image: url('../assets/icon/addpollicon.png');
				background-size: contain;
				background-position: center;
				background-repeat: no-repeat;
				top: -53px;
				position: relative;
				left: 310px;
			}

			.close-icon {
				height: 30px;
				width: 30px;
				background-color: transparent;
				background-image: url('../assets/icon/closepollicon.png');
				background-size: contain;
				background-position: center;
				background-repeat: no-repeat;
				top: -53px;
				position: relative;
				left: 310px;
			}

			.delete-icon {
				height: 30px;
				width: 30px;
				background-color: transparent;
				background-image: url('../assets/icon/trashicon1.png');
				background-size: contain;
				background-position: center;
				background-repeat: no-repeat;
				top: -53px;
				position: relative;
				left: 310px;
			}
		}

		.create-poll-container {
			height: 328px;
			background-color: #fff;

			.polling-type-item {
				position: relative;
				top: 0px;

				ion-label {
					font-weight: bold;
				}
			}

			.multiple-choice-options-list {
				position: relative;
				padding-left: 16px;
				margin-bottom: 1px;

				.multiple-choice-options-header {
					border: 0px;
					padding: 0px;
					font-weight: 900;
					margin-bottom: -15px;
					position: relative;
					top: -70px;
				}

				ion-label {
					font-weight: bold;
				}

				.multiple-choice-options-item {
					position: relative;
					top: -67px;
				}

				.multiple-choice-options-input {
					border: 1px solid #000;
					max-width: 54px;
					margin-left: -8px;
					margin-right: 2px;

					input {
						margin-left: 11px;
					}
				}
			}

			.polling-target-item {
				position: relative;
				top: -66px;

				ion-label {
					font-weight: bold;
				}
			}

			.poll-due-date-container-wrap {
				position: relative;
				top: -66px;
				background-color: #fff;
				height: 46.55px;
				padding-left: 16px;

				.poll-due-date-container {
					border-bottom: 0.55px solid #c8c7cc;
					padding-top: 13.5px;
					padding-bottom: 13.5px;

					p {
						display: inline;
						font-size: 16px;
					}

					.poll-due-date-title {
						padding-left: 10px;
						font-weight: bold;
					}

					.poll-due-date-no-selection {
						margin-left: 80px;
					}

					.poll-due-date-selected {
						margin-left: 36px;
					}
				}
			}
			
			.poll-option {
				position: relative;
				top: -65px;

				.poll-option-header {
					font-weight: bold;
				}
			}

			.poll-options-input-container {
				background-color: #fff;
				padding-left: 16px;
				position: relative;
				top: -65px;

				.poll-options-input-item-not-last {
					border-bottom: 0.55px solid #c8c7cc;
					padding-top: 3.6px;
					padding-bottom: 3.6px;
					padding-left: 16px;
					font-size: 16px;

					ion-input {
						width: 270px;
					}

					.remove-option-btn-icon {
						float: right;
						margin-top: -37px;
						font-size: 32px;
						font-weight: bold;
						margin-right: 12px;
					}
				}

				.poll-options-input-item-last {
					padding-top: 3.6px;
					padding-bottom: 3.6px;
					padding-left: 16px;
					font-size: 16px;

					ion-input {
						width: 245px;
					}

					.add-option-btn-icon {
						float: right;
						font-size: 32px;
						font-weight: bold;
						margin-right: 15px;
						margin-top: -37px;
					}

					.remove-option-btn-icon {
						float: right;
						margin-top: -37px;
						font-size: 32px;
						font-weight: bold;
						margin-right: 45px;
					}
				}
			}

			.poll-create-btn-icon-container {
				padding: 0px;
				position: relative;
				top: -66px;
				background-color: #efefef !important;

				.poll-create-btn {
					margin: 0;
					font-size: 16px;
					font-weight: bold;
					padding-top: 16px;
					padding-bottom: 16px;
					padding-left: 15px;
					padding-right: 15px;
					background-color: #fff;
					box-shadow: 2px 2px 6px rgba(0,0,0,0.3);
					margin-bottom: 2.5px;

					.poll-create-icon {

						font-size: 35px;
						font-weight: bold;
					}
				}
			}

			.required-field {
				color: #FF0000;
				font-weight: bold;
				font-size: 20px;
			}
		}

		.no-poll-created-container {
			background-color: #FBF6CFFF;
			border-top: 0.55px solid rgba(200,199,204,0.5);
			height: 82px;

			.no-poll-item {
				text-align: center;
				background-color: transparent;

				.item-inner {
					border-bottom: 0px solid transparent !important;
				}

				.no-poll-created-msg {
					position: relative;
					top: 32px;
					font-family: 'Super Mario';
					font-size: 16px;
					color: #999;
				}
			}
		}

		.poll-created-single-choice {
			background-color: #fff;

			.single-vote-container {
				background-color: #fff;
				margin-top: -14.5px;
				padding-top: 15px;
				padding-bottom: 3px;
				padding-left: 16px;
				border-bottom: 0.55px solid rgba(200,199,204,1);
				font-weight: bold;
				font-size: 14px;
				text-transform: uppercase;

				.poll-option-title {

				}

				.polling-due-date {
					color: rgba(0,0,0,0.5);
					margin-top: -8px;
				}
			}

			.poll-item-container {

			}

			.voting-option-item {
				
				ion-label {
					font-family: 'Candara';
					font-weight: bold;
				}
			}

			.voting-option-item:last-child {

				.item-inner {
					border-bottom-color: transparent;
				}
			}

		}
	}

	.poll-options-item {
		padding: 0;
		color: #000;
		font-size: 17px;
		border-bottom: 0.55px solid #c8c7cc;
		background-color: transparent;

		.poll-options-title {
			padding-left: 16px;
			margin-top: 8px;
			font-family: 'Candara';
			font-weight: bold;
		}

		.poll-progress-bar-eligible {
			
			.progress-outer {
				width: 80%;
				margin-left: 10px;
				margin-top: -12px;
			}
		}

		.poll-progress-bar-not-eligible {
			
			.progress-outer {
				width: 93.5%;
				margin-left: 10px;
				margin-top: -12px;
			}
		}

		.poll-not-voted-icon {
			float: right;
			font-size: 40px;
			margin-top: -64px;
			margin-right: 15px;
		}

		.poll-voted-icon {
			float: right;
			font-size: 40px;
			margin-top: -64px;
			margin-right: 15px;
		}
	}

	.poll-options-item:last-child {
		padding-bottom: 1px;
	}

	.poll-created-multiple-choice {
		background-color: #fff;

		.single-vote-container {
			background-color: #fff;
			margin-top: -14.5px;
			padding-top: 15px;
			padding-bottom: 3px;
			padding-left: 16px;
			border-bottom: 0.55px solid rgba(200,199,204,1);
			font-weight: bold;
			font-size: 14px;
			text-transform: uppercase;

			.poll-option-title {

			}

			.polling-due-date {
				color: rgba(0,0,0,0.5);
				margin-top: -8px;
			}
		}

		.voting-option-item {
				
				ion-label {
					font-family: 'Candara';
					font-weight: bold;
				}
			}

			.voting-option-item:last-child {

				.item-inner {
					border-bottom-color: transparent;
				}
			}
	}

	.no-due {
		height: 84px;

		.poll-option-title {
			margin-top: 25px;
		}
	}

	.vote-btn-container {
		border-bottom-color: transparent;

		.item-inner {
			border: 1px solid transparent;
		}
	}

	.vote-btn {

		font-size: 18px !important;
		height: 35px !important;
		width: 98px !important;
		font-family: 'Super Mario';

		.vote-btn-icon {
			font-size: 30px;
			font-weight: bold;
			padding-left: 3px;
		}
	}

	.sub-task-expand {
		left: -10px !important;
		top: 17px;
	}

	.sub-task-collapse {
		left: -10px !important;
		top: 17px;
	}

	.sub-expanded {

		.polling-type-item {
			top: 0px !important;
		}

		.polling-target-item {
			top: 0px !important;
		}

		.poll-due-date-container-wrap {
			top: 0px !important;
		}

		.poll-option {
			top: 1px !important;
		}

		.poll-options-input-container {
			top: 1px !important;
		}

		.poll-create-btn-icon-container {
			top: 0px !important;
		}

		.multiple-choice-options-list {
			top: 1px !important;

			.multiple-choice-options-header {
				top: 0px !important;
			}

			.multiple-choice-options-item {
				top: 0px !important;
			}
		}
	}

	.activity-log-btn-container {
		width: 356.764px;
		height: 56px;
		margin-left: auto;
		margin-right: auto;

		.log-btn {
			color: #000;
			font-family: 'Super Mario';
			font-size: 27px;
			background-color: #F9D000;
			border-radius: 11px;
			height: 58px;
			width: 356.764px;
			box-shadow: 2px 2px 6px rgba(0,0,0,0.5);
			background-image: url('../assets/icon/activitylogicon.png');
			background-size: 11%;
			background-position: 13% 50%;
			background-repeat: no-repeat;
		}
	}

	.expand-btn {
		height: 33px;
		width: 33px;
		background-image: url('../assets/icon/expandcollapseicon.png');
		background-repeat: no-repeat;
		background-size: contain;
		background-position: center;
		background-color: transparent;
		transition: .3s;
		transform: rotate(-180deg);
		position: relative;
		top: -40px;
		left: 308px;
	}

	.collapse-btn {
		height: 33px;
		width: 33px;
		background-image: url('../assets/icon/expandcollapseicon.png');
		background-repeat: no-repeat;
		background-size: contain;
		background-position: center;
		background-color: transparent;
		transition: .3s;
		transform: rotate(0deg);
		position: relative;
		top: -40px;
		left: 308px;
	}
}
